﻿$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/juicedata/juicefs/releases/download/v1.1.0/juicefs-1.1.0-windows-amd64.tar.gz'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  softwareName  = 'juicefs'
  checksum      = 'e4bb65980e5b378e556774647af8056ef34514cd9c32af4875743ab9ba6f2971'
  checksumType  = 'sha256'

}

Install-ChocolateyZipPackage @packageArgs
$File = Get-ChildItem -File -Path $toolsDir -Filter *.tar
Get-ChocolateyUnzip -fileFullPath $File.FullName -destination $toolsDir

















